Subject: Re: linux-next: please add queue for removal of __cpuinit and friends.

From: Paul Gortmaker <[email-masked]>
Date: Wed, 26 Jun 2013 12:01:12 -0400

[Re: linux-next: please add queue for removal of __cpuinit and friends.] On 26/06/2013 (Wed 17:38) Stephen Rothwell wrote:

> Hi Paul,
> 
> On Wed, 26 Jun 2013 11:22:02 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > I will try it today and see how we go.  I assume that the current set of
> > patches is based on next-20130625?
> 
> OK, its in today.  Just for info (at the end of today's linux-next):
> 
> $ git grep -l __cpuinit
> arch/arm/mach-keystone/platsmp.c
> arch/arm/mach-sti/platsmp.c
> arch/mips/ath79/setup.c
> arch/mips/cavium-octeon/octeon-irq.c
> arch/mips/cavium-octeon/smp.c

[...]

> arch/mips/kernel/bmips_vec.S
> arch/mips/kernel/head.S
> arch/mips/mm/cex-sb1.S
> arch/mips/netlogic/common/smpboot.S
> include/linux/init.h
> 
> So I guess the Ralf hasn't put the mips patch in his mips-for-linux-next
> branch yet.  And a few more uses have crept in. :-(

Odd.  It was in mips-for-linux-next on the 20th.  Accidentally dropped?

I've re-inserted the mips patch into my patch queue, fixed up the new
uses that crept in, and refreshed the arm patch that gained a conflict.

Thanks,
Paul.
--

> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]